aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: 1 2 [3] 4 5 6

Author Topic: *REQ* New Universal/Intel Compile  (Read 36563 times)

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: *REQ* New Universal/Intel Compile
« Reply #30 on: February 21, 2008, 09:39:11 PM »

Is there a amulegui binary in the amule-cvs/src folder after compilation? Macs uses these weird packages, so maybe it is not included in this package.
Logged

bongo

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 37
Re: *REQ* New Universal/Intel Compile
« Reply #31 on: February 21, 2008, 11:25:02 PM »

you are right.  :)
in the mac_packager util all compiled tools are copied to the package but amulegui isn't:
Code: [Select]
echo -n "Step 2: Copying aMule to app bundle... "
cp src/amule aMule.app/Contents/MacOS/
cp src/webserver/src/amuleweb aMule.app/Contents/MacOS/
cp src/ed2k aMule.app/Contents/MacOS/
cp src/amulecmd aMule.app/Contents/MacOS/
cp -R src/webserver aMule.app/Contents/Resources

so what's missing here is a
Code: [Select]
cp src/amulegui aMule.app/Contents/MacOS/but this wouldn't be enough because then there would be 2 apps in the package and a doubleclick would open just amule is always. so perhaps we need a separate package created just for amulegui.

so what i did is a bit of a dirty hack. i copied the already compiled amulegui to the package manually and renamed it to amule so it is started when you doubleclick the package. i tested it on my intel imac and can connect to the also running standard amule (so connecting to localhost)
i uploaded it to http://www.sendspace.com/file/t9zzb2
but it'sonly for intel, so perhaps someone can do this also for ppc.
Logged

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: *REQ* New Universal/Intel Compile
« Reply #32 on: February 22, 2008, 12:13:52 AM »

Could you please fill a bug report about this? Hopefully someone with a better understanding of Mac packages can create a second package for creating an amuleweb package as well.
Logged

bongo

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 37
Re: *REQ* New Universal/Intel Compile
« Reply #33 on: February 22, 2008, 09:49:03 AM »

i filed it under http://bugs.amule.org/view.php?id=1268
thanks a lot for your help

i include now also a modified mac_packager and a amuleGui.app template with the bung report. not sure if the packager copies all or perhaps to much to the amuleGui package but at least i got a working amuleGui with it. so perhaps this is soome help for anybody who makes a built for ppc
« Last Edit: February 23, 2008, 12:04:00 PM by bongo »
Logged

blackfede

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 70
Re: *REQ* New Universal/Intel Compile
« Reply #34 on: February 24, 2008, 11:45:14 AM »

Ok Guy, i am an "experienced MAC user", i compiled some time ago an old version of amulegui from CVS. November 20 2007. It's only for PPC, 10.4. I can share, but you will need a SAME CVS DATE amuled, because of problem related on protocol used by the GUI and server to talk. (TO DEV: Is this right?)

BUT, recently i try to build tha lastest CVS but it fail to build. Makefile error i guess. I had a LOT of dupicated declaration of wxString operator error.

My proposal is: I can help you to make a FULL amule.app and a simple amulegui.app the (process is simple, and the difference is null  :P), BUT i need to know the lastest CVS wich can be succesfully compile.
I will make a universal binary but I read earlier that does not work.

I advise you i haven't much time, and i will do this after the dinner, so don't expect result in a few time. By the way i can promise i will make my best effort!
Logged
All troll are idiots and will go in /dev/null

blackfede

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 70
Re: *REQ* New Universal/Intel Compile
« Reply #35 on: February 24, 2008, 11:59:09 AM »

i include now also a modified mac_packager and a amuleGui.app template with the bung report. not sure if the packager copies all or perhaps to much to the amuleGui package but at least i got a working amuleGui with it. so perhaps this is soome help for anybody who makes a built for ppc

Regarding the creation of amulegui.app for mac, the step to do is very simple.
Proceed as normal, by enable amulegui in "configure", compile and after all is finish, do in sequence:
1 - BEFORE run mac_package,make a copy of aMule.app, so suo will have aMule.app and "aMule copy.app"
2 - run mac_package, this will make a FULL aMule app.
3 - Now move the aMule.app to another place, outside the amule compilation dir, and rename "aMule copy.app" to aMule.app
4 - delete the file src/amule and rename the src/amulegui file in amule
5 - rerun mac_package
6 - now in the "new" aMule.app, you will have the amulegui ONLY. So you can rename the aMule.app in somthing you think is better.

-----

Alternatively to this procedure is to make another "aMule RemoteGUI.app" skeleton (by copy and rename the aMule.app"), change the manifest of this one, and change the mac_package script. I tink this will be the best option for aMule devs.
EDIT:
The files thath need to be changed is Info.plist, at key: CFBundleExecutable, replace the string "amule" with "amulegui".

-------

EDIT:
This is my version of  the GUI, only for PPC 10.4 CVS 20071120. Quite old, but just let me know if it show you the login maks. If you see the maks all is ok, but it is possible that you can can control the remote server. But this is porblem related to the age of of may build, and because the code is changed meanwile.
http://www.albazzano.it/aMule-GUI.zip
« Last Edit: February 24, 2008, 12:14:42 PM by blackfede »
Logged
All troll are idiots and will go in /dev/null

wuischke

  • Developer
  • Hero Member
  • *****
  • Karma: 183
  • Offline Offline
  • Posts: 4319
Re: *REQ* New Universal/Intel Compile
« Reply #36 on: February 24, 2008, 12:45:00 PM »

blackfede, can you please post your build errors with today's tarball?
Logged

blackfede

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 70
Re: *REQ* New Universal/Intel Compile
« Reply #37 on: February 24, 2008, 12:57:41 PM »

blackfede, can you please post your build errors with today's tarball?

Sure, but investigatin it more, i think it could be a problem of "extern C" somewere... Ah, this is the 20080223 tarball!
By the way, here is the configure:
Code: [Select]
./configure --enable-amule-gui --disable-debug --disable-amule-daemon --disable-amulecmd --disable-webserver --disable-cas --disable-wxcas --disable-systray --disable-gtk --with-crypto-prefix=../../.libcryptopp552/installation/


  Configure script has finished system check.

  Configured aMule SVN for 'powerpc-apple-darwin8.11.0'.

  aMule enabled options:

  **** aMule Core ****
  Prefix where aMule should be installed?                    /usr/local
  Should aMule be compiled with i18n support?                yes
  Should aMule be compiled in debug mode?                    no
  Should aMule be compiled with profiling?                   no
  Should aMule be compiled with optimizations?               no
  Should aMule be compiled with UPnP support?                yes
  Should aMule be compiled with IP2country support?          no
  Should aMule monolithic application be built?              yes
  Should aMule daemon version be built?                      no
  Should aMule remote gui be built? (EXPERIMENTAL)           yes
  Crypto++ library/headers style?                            installed

  **** aMule TextClient ****
  Should aMule Command Line Client be built?                 no

  **** aMule WebServer ****
  Should aMule WebServer be built?                           no

  **** aMule ED2K Links Handler ****
  Should aMule ED2K Links Handler be built?                  yes

  **** aMuleLinkCreator ****
  Should aMuleLinkCreator GUI version (alc) be built?        no
  Should aMuleLinkCreator for console (alcc) be built?       no

  **** aMule Statistics ****
  Should C aMule Statistics (CAS) be built?                  no
  Should aMule GUI Statistics (wxCas) be built?              no

  **** General Libraries and Tools ****
  Should ccache support be enabled?                          no
  Libraries aMule will use to build:
                                       wxWidgets             2.8.7 (mac,shared)
                                       crypto++              5.5.2 (installed)
                                       zlib                  1.2.3


And here the error:
Code: [Select]
if g++ -DHAVE_CONFIG_H -I. -I. -I../../../..    -isystem /opt/local/lib/wx/include/mac-unicode-release-2.8 -isystem /opt/local/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXMAC__ -I../../../../src -I../../../../src/libs -I../../../../src/include -isystem ../../.libcryptopp552/installation//include -D__CRYPTO_INSTALLED__ -D__WEAK_CRYPTO__  -W -Wall -Wshadow -Wundef   -DUSE_WX_EXTENSIONS -MT libec_a-ECTag.o -MD -MP -MF ".deps/libec_a-ECTag.Tpo" -c -o libec_a-ECTag.o `test -f 'ECTag.cpp' || echo './'`ECTag.cpp; \
then mv -f ".deps/libec_a-ECTag.Tpo" ".deps/libec_a-ECTag.Po"; else rm -f ".deps/libec_a-ECTag.Tpo"; exit 1; fi
/opt/local/include/wx-2.8/wx/defs.h:603: error: template with C linkage
/opt/local/include/wx-2.8/wx/string.h:1048: error: declaration of C function 'wxString operator+(const wxString&, wxChar)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1046: error: previous declaration 'wxString operator+(const wxString&, const wxString&)' here
/opt/local/include/wx-2.8/wx/string.h:1050: error: declaration of C function 'wxString operator+(wxChar, const wxString&)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1048: error: previous declaration 'wxString operator+(const wxString&, wxChar)' here
/opt/local/include/wx-2.8/wx/string.h:1053: error: declaration of C function 'wxString operator+(const wxString&, const wxChar*)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1050: error: previous declaration 'wxString operator+(wxChar, const wxString&)' here
/opt/local/include/wx-2.8/wx/string.h:1056: error: declaration of C function 'wxString operator+(const wxChar*, const wxString&)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1053: error: previous declaration 'wxString operator+(const wxString&, const wxChar*)' here
/opt/local/include/wx-2.8/wx/string.h:1421: error: declaration of C function 'wxString operator+(const wxString&, const wxString&)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1056: error: previous declaration 'wxString operator+(const wxChar*, const wxString&)' here
/opt/local/include/wx-2.8/wx/string.h:1422: error: declaration of C function 'wxString operator+(const wxString&, wxChar)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1421: error: previous declaration 'wxString operator+(const wxString&, const wxString&)' here
/opt/local/include/wx-2.8/wx/string.h:1423: error: declaration of C function 'wxString operator+(wxChar, const wxString&)' conflicts with
/opt/local/include/wx-2.8/wx/string.h:1422: error: previous declaration 'wxString operator+(const wxString&, wxChar)' here
......
......
(lot of message about duplicated declaration of operator==, operator!=, ecc)
../../../../src/libs/common/MuleDebug.h: In constructor 'CMuleException::CMuleException(const wxString&, const wxString&)':
../../../../src/libs/common/MuleDebug.h:59: error: no match for 'operator+' in 'type + "\000\000\000:\000\000\000 \000\000\000"'
/opt/local/include/wx-2.8/wx/string.h:1620: note: candidates are: wxString operator+(const wxWCharBuffer&, const wxString&)
make[7]: *** [libec_a-ECTag.o] Error 1
make[6]: *** [all] Error 2
make[5]: *** [all-recursive] Error 1
make[4]: *** [all] Error 2
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
« Last Edit: February 24, 2008, 01:00:10 PM by blackfede »
Logged
All troll are idiots and will go in /dev/null

bongo

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 37
Re: *REQ* New Universal/Intel Compile
« Reply #38 on: February 24, 2008, 08:17:11 PM »

Quote
Alternatively to this procedure is to make another "aMule RemoteGUI.app" skeleton (by copy and rename the aMule.app"), change the manifest of this one, and change the mac_package script. I tink this will be the best option for aMule devs.

as i said i attached a amulegui template (or skeleton as you said )to the bug report together with a try for a modified packager which worked for me. to make it easier for those not wanting to register with the bugtracker here it is again: http://www.sendspace.com/file/t0e18j

the amulegui template already has the modified plist so you can copy the compiled amulegui from /src into the package without renaming.


i had no problems compiling the 20080218 tarball. did you compiled wxmac for the same platform (ppc) as amule? i had similar problems trying to compile a universal binary. i had configured wxmac for universal and amule universal failed, but then also the intel built failed. after a new configure and make of wxmac just for intel the amule mac also went through.
Logged

blackfede

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 70
Re: *REQ* New Universal/Intel Compile
« Reply #39 on: February 24, 2008, 08:33:07 PM »

Yes i see you bugreport, i have only witten the step, so if someone want to repeat it, it's possible.  ;D
I was afraid of my wx installation, but i tried to compile the example present in the source of wx and all works fine! This is strange! By the way, i installed wxWindows 2.8 using macport. Did you install all from sources of using macport?
« Last Edit: February 24, 2008, 08:35:16 PM by blackfede »
Logged
All troll are idiots and will go in /dev/null

bongo

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 37
Re: *REQ* New Universal/Intel Compile
« Reply #40 on: February 24, 2008, 10:55:42 PM »

i downloaded and built wxmac as described in the wiki. i just installed the 4 packages mentioned in the wiki with macport. after having problems with cryptopp i wanted to install it with macport but this was no solution. so i also installed cryptopp from the sources, which is also described in the wiki and wuischke mentioned also in this thread a bit above.
Logged

blackfede

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 70
Re: *REQ* New Universal/Intel Compile
« Reply #41 on: February 25, 2008, 12:15:17 AM »

Yes, i also buil crypto++ myself, the one in macport is too old. Now i have compiled wxmac by myself, but i have th same problem... this is SO frustrating! I will try to download an old snapshot and seed what it came out...
Logged
All troll are idiots and will go in /dev/null

bongo

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 37
Re: *REQ* New Universal/Intel Compile
« Reply #42 on: February 25, 2008, 09:28:44 AM »

the same problem? perhaps amule tries to link to the same old built instead of the new one? is the prefix correct?
i just followed wuischke's hints from http://forum.amule.org/index.php?topic=14342.msg76238#msg76238 and http://forum.amule.org/index.php?topic=14342.msg76266#msg76266

i think i also did a make clean after the univerasl binary tries but i don't know if this matters.
Logged

blackfede

  • Jr. Member
  • **
  • Karma: 3
  • Offline Offline
  • Posts: 70
Re: *REQ* New Universal/Intel Compile
« Reply #43 on: February 25, 2008, 07:12:41 PM »

Thanks for the hints, but my is a problem related to compile of amule, not cpypto++. After investigatin more i discovered the config is ignoring my --with-wxpath directive and still take the old wxversion. I have now make a full cleanof and now i'am waiting  the building of wx. Hope this will solve!
Logged
All troll are idiots and will go in /dev/null

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 166
  • Offline Offline
  • Posts: 2683
Re: *REQ* New Universal/Intel Compile
« Reply #44 on: February 25, 2008, 08:45:25 PM »

  --with-wxdir=PATH       Use uninstalled version of wxWidgets in PATH
Logged
concordia cum veritate
Pages: 1 2 [3] 4 5 6